#!/usr/bin/env bash

echo "Update Dex"
python tools/download.py --refresh-dex --pokedex-only

echo "Gen 1"
python tools/download.py 1-151 -o images/gen1

echo "Gen 2"
python tools/download.py 152-251 -o images/gen2

echo "Gen 3"
python tools/download.py 252-386 -o images/gen3

echo "Gen 4"
python tools/download.py 387-493 -o images/gen4

echo "Gen 5"
python tools/download.py 494-649 -o images/gen5

echo "Gen 6"
python tools/download.py 650-721 -o images/gen6

echo "Gen 7"
python tools/download.py 722-809 -o images/gen7

echo "Gen 8"
python tools/download.py 810-905 -o images/gen8
# there is one corrupt image in the dataset, just skip it
rm -f images/gen8/Urshifu-Rapid-Strike-2.png

echo "Gen 9"
python tools/download.py 906-1010 -o images/gen9

